summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDanilo Sousa <dsgoncalves@uoldiveo.com>2016-02-19 16:19:23 -0200
committerDanilo Sousa <dsgoncalves@uoldiveo.com>2016-02-19 16:19:23 -0200
commitdcecaecf90767bc7cc3b5aed85309fee1d67a6e6 (patch)
tree3bdf44bd3a7b1bb2b2c7d20f9416abb07a3d0346
parent9168cfecdb6f16d219c08193f952e331baaa7c93 (diff)
init.d script for centos, redhat and some others linux flavors
-rwxr-xr-xextra/oxidized.init.d87
1 files changed, 87 insertions, 0 deletions
diff --git a/extra/oxidized.init.d b/extra/oxidized.init.d
new file mode 100755
index 0000000..d2fdf00
--- /dev/null
+++ b/extra/oxidized.init.d
@@ -0,0 +1,87 @@
+#!/bin/sh
+# chkconfig: - 99 01
+# description: Oxidized - Network Device Configuration Backup Tool
+# processname: /opt/ruby-2.1/bin/oxidized
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+name="oxidized"
+desc="Oxidized"
+cmd=oxidized
+args="--daemonize"
+lockfile=/var/lock/subsys/$name
+pidfile=/etc/oxidized/pid
+
+export OXIDIZED_HOME=/etc/oxidized
+
+# Source sysconfig configuration
+[ -r /etc/sysconfig/$name ] && . /etc/sysconfig/$name
+
+start() {
+ echo -n $"Starting $desc: "
+ daemon ${cmd} ${args}
+ retval=$?
+ if [ $retval = 0 ]
+ then
+ echo_success
+ touch $lockfile
+ else
+ echo_failure
+ fi
+ echo
+ return $retval
+}
+
+stop() {
+ echo -n $"Stopping $desc: "
+ killproc -p $pidfile
+ retval=$?
+ [ $retval -eq 0 ] && rm -f $lockfile
+ rm -f $pidfile
+ echo
+ return $retval
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ echo -n $"Reloading config..."
+ curl -s http://localhost:8888/reload?format=json -O /dev/null
+ echo
+}
+
+rh_status() {
+ status -p $pidfile $cmd
+}
+
+rh_status_q() {
+ rh_status >/dev/null 2>&1
+}
+
+case "$1" in
+ start)
+ rh_status_q && exit 0
+ $1
+ ;;
+ stop)
+ rh_status_q || exit 0
+ $1
+ ;;
+ restart)
+ $1
+ ;;
+ reload)
+ rh_status_q || exit 0
+ $1
+ ;;
+ status)
+ rh_status
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart|reload|status}"
+ exit 2
+esac